/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.TipoEmpleadoDAO;
import com.rjconsultores.ventaboletos.entidad.TipoEmpleado;

/**
 *
 * @author Shiro
 */
@Repository("tipoEmpleadoDAO")
public class TipoEmpleadoHibernateDAO extends GenericHibernateDAO<TipoEmpleado, Integer>
implements TipoEmpleadoDAO{


     @Autowired
    public TipoEmpleadoHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }


    @Override
    public List<TipoEmpleado> obtenerTodos() {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

        return c.list();
    }
}
